Loading...
Searching...
No Matches
BALL::Exception::NullPointer Class Reference

`#include <BALL/COMMON/exception.h>`

Inheritance diagram for BALL::Exception::NullPointer:

## Public Member Functions

| NullPointer (const char *file, int line)
Public Member Functions inherited from BALL::Exception::GeneralException
| GeneralException ()
| Default constructor.
| GeneralException (const char *file, int line)
| Constructor.
| GeneralException (const char *file, int line, const String &name, const String &message)
| Constructor.
| GeneralException (const GeneralException &exception)
| Copy constructor.
virtual | ~GeneralException () throw ()
| Destructor.
const char * | getName () const
| Returns the name of the exception.
const char * | getMessage () const
| Returns the error message of the exception.
void | setMessage (const std::string &message)
| Modify the exception's error message.
int | getLine () const
| Returns the line number where it occurred.
const char * | getFile () const
| Returns the file where it occurred.

## Additional Inherited Members

const char * | file_
int | line_
std::string | name_
std::string | message_

## Detailed Description

Null pointer argument is invalid. Use this exception to indicate a failure due to an argument not containing a pointer to a valid object, but a null pointer.

Definition at line 258 of file COMMON/exception.h.

## Constructor & Destructor Documentation

## NullPointer()

BALL::Exception::NullPointer::NullPointer | ( | const char * | file,
|  | int | line )